Bug 200543 - www/py-django: CVE-2015-3982 - Fixed session flushing in the cached_db backend
Summary: www/py-django: CVE-2015-3982 - Fixed session flushing in the cached_db backend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Li-Wen Hsu
URL:
Keywords: needs-patch, security
Depends on:
Blocks:
 
Reported: 2015-05-30 20:59 UTC by Jason Unovitch
Modified: 2015-06-08 02:36 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (lwhsu)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Unovitch freebsd_committer 2015-05-30 20:59:42 UTC
Django security release issued (1.8.2) on 20 May 2015

https://groups.google.com/forum/#!topic/django-announce/3tBitvKitsk
https://www.djangoproject.com/weblog/2015/may/20/security-release/
Comment 1 commit-hook freebsd_committer 2015-05-31 16:09:54 UTC
A commit references this bug:

Author: lwhsu
Date: Sun May 31 16:09:18 UTC 2015
New revision: 388118
URL: https://svnweb.freebsd.org/changeset/ports/388118

Log:
  - Update to 1.8.2

  PR:		200543
  Submitted by:	Jason Unovitch <jason.unovitch@gmail.com>
  Security:	48504af7-07ad-11e5-879c-00e0814cab4e

Changes:
  head/www/py-django/Makefile
  head/www/py-django/distinfo
Comment 2 commit-hook freebsd_committer 2015-05-31 16:10:55 UTC
A commit references this bug:

Author: lwhsu
Date: Sun May 31 16:10:36 UTC 2015
New revision: 388120
URL: https://svnweb.freebsd.org/changeset/ports/388120

Log:
  - Update to snapshot 20150531

  PR:		200543
  Submitted by:	Jason Unovitch <jason.unovitch@gmail.com>
  Security:	48504af7-07ad-11e5-879c-00e0814cab4e

Changes:
  head/www/py-django-devel/Makefile
  head/www/py-django-devel/distinfo
Comment 3 commit-hook freebsd_committer 2015-06-08 02:33:28 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Jun  8 02:32:50 UTC 2015
New revision: 388826
URL: https://svnweb.freebsd.org/changeset/ports/388826

Log:
  MFH: r388118

  - Update to 1.8.2

  PR:		200543
  Submitted by:	Jason Unovitch <jason.unovitch@gmail.com>
  Security:	48504af7-07ad-11e5-879c-00e0814cab4e

  Approved by:  ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/www/py-django/Makefile
  branches/2015Q2/www/py-django/distinfo
Comment 4 commit-hook freebsd_committer 2015-06-08 02:36:29 UTC
A commit references this bug:

Author: lwhsu
Date: Mon Jun  8 02:35:50 UTC 2015
New revision: 388827
URL: https://svnweb.freebsd.org/changeset/ports/388827

Log:
  MFH: r388120

  - Update to snapshot 20150531

  PR:		200543
  Submitted by:	Jason Unovitch <jason.unovitch@gmail.com>
  Security:	48504af7-07ad-11e5-879c-00e0814cab4e

  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/www/py-django-devel/Makefile
  branches/2015Q2/www/py-django-devel/distinfo